Name:           perl-Apache-Session-Wrapper
Version:        0.33
Release:        4%{?dist}
Summary:        A simple wrapper around Apache::Session
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Apache-Session-Wrapper
Source0:        http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/Apache-Session-Wrapper-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:	perl(Apache2::Cookie), perl(Apache::Session), perl(Class::Container), perl(Exception::Class)
BuildRequires:	perl(Params::Validate), perl(Module::Build), perl(Test::Pod)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl(Class::Container)

%description
%{summary}.

%prep
%setup -q -n Apache-Session-Wrapper-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
APACHE_TEST_HTTPD=/usr/sbin/httpd ./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE
%{perl_vendorlib}/Apache/Session/
%{_mandir}/man3/*.3*


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  2 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.33-2
- rebuild for new perl

* Wed Jan 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.33-1
- bump to 0.33

* Thu Sep 14 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.31-2
- bump for FC-6

* Wed Aug  2 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.31-1
- bump to 0.31

* Fri Jul  7 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.29-1
- bump to 0.29

* Thu Jan  5 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.26-1
- bump to 0.26

* Mon Sep 12 2005 Paul Howarth <paul@city-fan.org> 0.25-2
- Use Module::Build
- Add dep perl(Class::Container)
- Add BR: perl(Test::Pod) for better test coverage


* Wed Sep  7 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.25-1
- Initial package for Fedora Extras
